#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kajongg
Summary: Majongg game for KDE
Version: 4.11.4
Release: %mkrel %{rel}
Epoch: 1
Group: Games/Boards 
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/games/kajongg/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: python-kde4 >= 1:%version
BuildRequires: python-qt4
BuildRequires: python-twisted
BuildRequires: pkgconfig(sqlite3)

BuildArch: noarch
Requires: python-kde4
Requires: python-twisted-core
Requires: qt4-database-plugin-sqlite
Requires: kmahjongglib
# kajongg needed ogg123 @ runtime
Requires: vorbis-tools
Suggests: kajongg-handbook

%description -n kajongg
Kajongg is the ancient Chinese board game for 4 players. 

Kajongg can be used in two different ways: Scoring a manual game where you play
as always and use Kajongg for the computation of scores and for bookkeeping. Or
you can use Kajongg to play against any combination of other human players or
computer players.

%files -n kajongg
%_kde_bindir/kajongg
%_kde_bindir/kajonggserver
%_kde_applicationsdir/kajongg.desktop
%_kde_appsdir/kajongg
%_kde_iconsdir/hicolor/*/*/*kajongg*

#------------------------------------------------------------------------------

%package -n kajongg-handbook
Summary: kajongg handbook
Conflicts: kajongg < 1:4.7.1-2
Requires:  kajongg >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kajongg-handbook
This package provides the kajongg handbook.

%files -n kajongg-handbook
%_kde_docdir/HTML/en/kajongg


#------------------------------------------------------------------------------



%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554944
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551198
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540113
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490743
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476833
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465286
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458858
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455248
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447946
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435305
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428417
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407228
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401842
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394399
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 355771
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339480
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334560
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326762
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Tue Nov 20 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319690
- Add missing requires
- imported package kajongg

